Subject: Re: [IPTEL] Use SLP for iptel-gwloc

From: [email-masked]
Date: Tue, 2 Oct 2001 13:48:08 -0500

I commend the last note, given a choice lets stay agnostic here.

                    "Henning G.                                                                  
                    Schulzrinne"                To:     Michael Hammer <[email-masked]>       
                    <[email-masked]>       cc:     Weibin Zhao <[email-masked]>,       
                    Sent by:                     "[email-masked]'"                   
                    [email-masked]        <[email-masked]>                     
                    l-labs.com                  Subject:     Re: [IPTEL] Use SLP for iptel-gwloc 

                    10/02/2001 12:58 PM                                                          

Michael Hammer wrote:
>
> Henning,
>
> Sorry, but as an engineer, providing a measurement without defining the
> units is what leads to things hitting Mars rather than orbiting it.  I
> don't think it is a good idea to imply limits on the scope of an ITAD.
And
> if decisions are to be made based on cost, you can be sure the
accountants
> will definitely want to know precisely what the cost is going to be when
> comparing data coming from two different gateways or ITADS.
>

If somebody can point to a registry of currency symbols (preferably one
that includes Columbia laundry tokens...), this can certainly be added
as a parameter. If I remember past discussions correctly, this territory
is full of landmines, such as:

- what about more complicated charges (first minute costs X, second
minute costs Y, where Y < X or first minute is free);

- unit of charging (second, minute, 6 seconds, etc.)

- time-of-day dependencies (although these are less of an issue here
since the advertisements are updated periodically in all of the
protocols);

etc.

I'm agnostic here, but I suspect that without drawing pretty clear scope
boundaries, this can turn into a "tariff expression language", which I
don't think you'd want to engineer. That way also lie "restraint of
trade" and other nasty things that the IETF does its very best to stay
out of. (Basically, as soon as you specify anything specific that smacks
of business models, you're favoring Joe's model over Jane's model, which
may make Jane sufficiently unhappy to call a lawyer.)

SLP (and the other proposals) is extensible so that you can add cost
models appropriate for your customers. Then, if people don't like your
notion of how costs are computed, they'll complain to your marketing
folks, which I find preferable to talking to lawyers. (I'm not sure what
would happen if somebody were to simply describe a template or extension
as an informational RFC or IANA registration, without any blessing by
the IETF; I suspect that that is the right thing to do in this case, if
you want to go there.)
--
Henning Schulzrinne   http://www.cs.columbia.edu/~hgs

_______________________________________________
IPTEL mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/iptel

_______________________________________________
IPTEL mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/iptel